%define anolis_release 1

Summary: Implementation of the JPEG-2000 standard, Part 1
Name:    jasper
Version: 4.1.0
Release: %{anolis_release}%{?dist}

License: JasPer
URL:     http://www.ece.uvic.ca/~frodo/jasper/
Source0: https://github.com/jasper-software/%{name}/archive/refs/tags/version-%{version}.tar.gz

# skip hard-coded prefix/lib rpath
Patch1: jasper-4.1.0-rpath.patch
Patch2: 0001-CVE-2023-51257.patch

# autoreconf
BuildRequires: cmake
BuildRequires: freeglut-devel 
BuildRequires: libGLU-devel
BuildRequires: libjpeg-devel
BuildRequires: libXmu-devel libXi-devel
BuildRequires: doxygen
BuildRequires: mesa-libGL-devel
BuildRequires: git

Requires: %{name}-libs = %{version}-%{release}
BuildRequires: gcc
BuildRequires: make

%description
This package contains an implementation of the image compression
standard JPEG-2000, Part 1. It consists of tools for conversion to and
from the JP2 and JPC formats.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Header files, libraries and developer documentation
Provides: libjasper-devel = %{version}-%{release}
Requires: %{name}-libs = %{version}-%{release}

%description devel
%{summary}.

%package libs
Summary: Runtime libraries for %{name}
Conflicts: jasper < 1.900.1-4

%description libs
%{summary}.

%package utils
Summary: Nonessential utilities for %{name}
Requires: %{name} = %{version}-%{release}
Requires: %{name}-libs = %{version}-%{release}

%description utils
%{summary}, including jiv and tmrdemo.


%prep
%autosetup -n  %{name}-version-%{version} -p1 -S git

%build
%cmake \
  -DJAS_ENABLE_DOC:BOOL=OFF

%cmake_build


%install
%cmake_install

%check
%ctest

%files
%{_bindir}/imgcmp
%{_bindir}/imginfo
%{_bindir}/jasper
%{_mandir}/man1/img*
%{_mandir}/man1/jasper.1*
%{_docdir}/JasPer/*

%files doc
%doc doc/*

%files devel
%{_includedir}/jasper/
%{_libdir}/libjasper.so
%{_libdir}/pkgconfig/jasper.pc

%files libs
%license COPYRIGHT.txt LICENSE.txt
%{_libdir}/libjasper.so.7*

%files utils
%{_bindir}/jiv
%{_mandir}/man1/jiv.1*

%changelog
* Fri Feb 28 2025 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 4.1.0-1
- update to 4.1.0 from 4.0.0

* Tue Sep 10 2024 lidongyue <dongyue@nfschina.com> - 4.0.0-3
- CVE-2024-31744

* Mon Jul 08 2024 pangqing <pangqing@uniontech.com> - 4.0.0-2
- Fix CVE-2023-51257

* Sun Feb 12 2023 Funda Wang <fundawang@yeah.net> - 4.0.0-1
- New version 4.0.0

* Wed Jan 18 2023 Funda Wang <fundawang@yeah.net> - 3.0.6-1
- Import package for anolis 23
